%bcond_without dotests

%global __tar /opt/freeware/bin/tar

%global py_minor 17

%global py_major 3.9

%global python_major python%{py_major}

%global srcname looseversion

%global pkgname looseversion 

%global meta_package python3-%{pkgname}

%global python3_sitearch %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(0))")

Name:           %{python_major}-%{pkgname}
Version:        1.3.0 
Release:        1
Summary:        Version numbering for anarchists and software realists 
License:        PSF-2.0
URL:            https://pypi.org/pypi/looseversion 
Source0:        https://files.pythonhosted.org/packages/source/l/%{pkgname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch


BuildRequires:  %{python_major}-devel >= %{py_major}.%{py_minor}
BuildRequires:  %{python_major}-setuptools >= 65.2.0
Requires:       %{python_major} >= %{py_major}.%{py_minor}

%description
A backwards/forwards-compatible fork of distutils.version.LooseVersion, for
times when PEP-440 isnt what you need.

The goal of this package is to be a drop-in replacement for the original
LooseVersion. It implements an identical interface and comparison logic to
LooseVersion. The only major change is that a looseversion.LooseVersion is
comparable to a distutils.version.LooseVersion, which means tools should not
need to worry whether all dependencies that use LooseVersion have migrated.

If you are simply comparing versions of Python packages, consider moving to
packaging.version.Version, which follows PEP-440. LooseVersion is better suited
to interacting with heterogeneous version schemes that do not follow PEP-440.


%package -n %{meta_package}
Summary:       Meta-package for %{name}

Requires:      python3 >= %{py_major}.%{py_minor}
Requires:      %{name} = %{version}-%{release}

%description -n %{meta_package}
This is a Meta-package for %{name} package.


%prep
%autosetup -n %{srcname}-%{version}


%build
#NOTHING TO DO

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
%{python_major} -m pip install . --root %{buildroot} -I --no-deps


%check
%if %{with dotests}

export PYTHONPATH=%{buildroot}%{python3_sitearch}
( %{python_major} -v tests.py || true  )


%endif


%files
%defattr(-,root,system,-)
%doc README.md CHANGES.md
%{python3_sitearch}/*

%files -n %{meta_package}
%defattr(-,root,system,-)


%changelog
* Mon Oct 16 2023 Sangeetha Bandi <sanbandi@in.ibm.com> -1.3.0-1
- First port on AIX, salt3006.1 dependency
